Bug 28407 - Simple local DoS on bind restart
Summary: Simple local DoS on bind restart
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-20 11:17 UTC by Tim Small
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 15:00:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Small 2001-02-20 11:17:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.18r3.5.29-w4l-IDE i686; en-US;
m18) Gecko/20010103


Any user may prevent "/etc/rc.d/init.d/named restart" from working properly.

Reproducible: Always
Steps to Reproduce:
1. execute /usr/sbin/named as an arbitary local user
2. as root, execute /etc/rc.d/init.d/named stop
3. as root, execute /etc/rc.d/init.d/named start


	

Actual Results:  named start fails (tried with bind-8.2.3-0.6.x)


Expected Results:  named should have started correctly, and user process
should be ignored, or killed.

Executing execute /etc/rc.d/init.d/named stop twice will work around this
problem.

Linux tim.brain 2.2.18r3.5.29-w4l-IDE #8 Wed Jan 3 12:34:21 GMT 2001 i686
unknown

Comment 1 Bernhard Rosenkraenzer 2001-03-16 12:35:13 UTC
The current version of bind can't be run by an arbitrary user.



Note You need to log in before you can comment on or make changes to this bug.